=head1 NAME

Kwiki::Indexer - A Base Class for Kwiki Indexing Plugins

=head1 SYNOPSIS

kwiki -add Kwiki::Indexer::Subclass

=head1 DESCRIPTION

B<Kwiki::Indexer> is a base class for implementing plugins that index Kwiki
sites.

This distribution ships with an example plugin B<Kwiki::Indexer::Regex>.
This plugin doesn't actually index the site, it simply defines a 
B<perform_search> method that does a regex search across all active pages
in the Kwiki (based the search implemented in Brian Ingerson's Kwiki::Search
plugin).

=head1 AUTHOR

Russell Heilling <chewtoy@s8n.net>

=head1 COPYRIGHT

Copyright (c) 2004. Russell Heilling. All rights reserved.

    This program is free software; you can redistribute it and/or modify it
under the same terms as Perl itself.

See http://www.perl.com/perl/misc/Artistic.html
